This URL deletes a controller based on the controller Id.
Resource URL
DELETE /controller/<controller Id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller ID. You can use the | string | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the DELETE operation is successful. Value is set to Value is set to | string |
| Message if the deletion of the controller is successful | string |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
| Not applicable | Not applicable |
Example
Request
DELETE https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/6
Response
{
"success": true,
"msg": "Controller [6] deleted!",
"errMsg": null,
"domainName": null,
"data": null,
"controllerName": null
}